/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreScale;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreScaleRecord extends UpdatableRecordImpl<TCoreScaleRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_scale.pk_core_scale</code>.
     */
    public void setPkCoreScale(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_scale.pk_core_scale</code>.
     */
    public Integer getPkCoreScale() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_scale.scale_niveau</code>. scale niveau
     */
    public void setScaleNiveau(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_scale.scale_niveau</code>. scale niveau
     */
    public Integer getScaleNiveau() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_scale.scale_lang</code>. language key
     * of scale
     */
    public void setScaleLang(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_scale.scale_lang</code>. language key
     * of scale
     */
    public String getScaleLang() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_scale.scale_datatype</code>. datatype
     * of scale
     */
    public void setScaleDatatype(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_scale.scale_datatype</code>. datatype
     * of scale
     */
    public String getScaleDatatype() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_scale.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_scale.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreScaleRecord
     */
    public TCoreScaleRecord() {
        super(TCoreScale.T_CORE_SCALE);
    }

    /**
     * Create a detached, initialised TCoreScaleRecord
     */
    public TCoreScaleRecord(Integer pkCoreScale, Integer scaleNiveau, String scaleLang, String scaleDatatype, LocalDateTime lastchange) {
        super(TCoreScale.T_CORE_SCALE);

        setPkCoreScale(pkCoreScale);
        setScaleNiveau(scaleNiveau);
        setScaleLang(scaleLang);
        setScaleDatatype(scaleDatatype);
        setLastchange(lastchange);
        resetChangedOnNotNull();
    }
}
